| Home | Libraries | People | FAQ | More

##### as_map

###### Description

Returns the result type of `as_map`.

###### Synopsis

    template <typename Sequence>
    struct as_map;

###### Parameters

Parameter | Requirement | Description
--- | --- | ---
`Sequence` | A fusion Sequence | The sequence to convert.

###### Expression Semantics

    result_of::as_map<Sequence>::type;

Return type: A `map` with same elements as the input sequence, `Sequence`.

Semantics: Convert a fusion sequence, `Sequence`, to a `map`.

Precondition: The elements of the sequence are assumed to be __fusion_pair__s. There may be no duplicate `fusion::pair` key types.

###### Header

    #include <boost/fusion/container/map/convert.hpp>
    #include <boost/fusion/include/as_map.hpp>

###### Example

    result_of::as_map<vector<
        fusion::pair<int, char>
      , fusion::pair<double, std::string> > >::type